X2Go Bug report logs - #324
Enable TCP socket in Pulseaudio daemon before starting up session sound

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 21 Oct 2013 11:02:47 UTC

Severity: wishlist

Merged with 325, 326

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#324; Package python-x2go. (Mon, 21 Oct 2013 11:02:47 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 21 Oct 2013 11:02:47 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Enable TCP socket in Pulseaudio daemon before starting up session sound
Date: Mon, 21 Oct 2013 11:02:30 +0000
[Message part 1 (text/plain, inline)]
Package: python-x2go
Severity: wishlist

Enable TCP socket in PulseAudio before starting a session (that  
requests pulse support). See below.

Mike


----- Weitergeleitete Nachricht von Tim Kruse <tim.kruse@kikxxl.de> -----
   Datum: Wed, 16 Oct 2013 13:23:19 +0200
     Von: Tim Kruse <tim.kruse@kikxxl.de>
Betreff: Re: [X2Go-User] pyhoca-cli sound issues [SOLVED]
      An: x2go-user@lists.berlios.de

Am 16.10.2013 12:44, schrieb Tim Kruse:
> which is clear, as there is no open port 4713.
>
> So, if pyhoca or python-x2go is not able to handle this, is there a
> chance to let pulseaudio open this port otherwise? I think of some kind
> of script, which will be executed before pyhoca ...

I got it:

pacmd load-module module-native-protocol-tcp listen=0.0.0.0

before the start of pyhoca-cli let the running pulseaudio deamon open  
it's port. Or let pulseaudio open the port by default by adding the  
above line to /etc/pulse/default.pa ...

Perhaps it's possible to let pyhoca, or python-x2go respectively, open  
the port like x2goclient does ... but for me the above solution is  
enough ...

So long, Tim

_______________________________________________
X2Go-User mailing list
X2Go-User@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-user

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#324; Package python-x2go. (Mon, 21 Oct 2013 11:18:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 21 Oct 2013 11:18:03 GMT) (full text, mbox, link).


Message #10 received at 324@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: x2go-user@lists.berlios.de
Cc: 324@bugs.x2go.org
Subject: Re: [X2Go-User] pyhoca-cli sound issues [SOLVED]
Date: Mon, 21 Oct 2013 11:06:36 +0000
[Message part 1 (text/plain, inline)]
Hi Tim,

On  Mi 16 Okt 2013 13:23:19 CEST, Tim Kruse wrote:

> pacmd load-module module-native-protocol-tcp listen=0.0.0.0

For X2Go, it is sufficient to make pulseaudio listen on 127.0.0.1. The  
internal (tunneled) communication in X2Go is forced to IPv4, so no  
need to listen on [::1], the IPv4 localhost address should be just fine.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Merged 324 325 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 21 Oct 2013 11:48:01 GMT) (full text, mbox, link).


Merged 324 325 326 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 21 Oct 2013 11:48:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#324; Package python-x2go. (Mon, 15 Jan 2024 19:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Jan 2024 19:45:01 GMT) (full text, mbox, link).


Message #19 received at 324@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 324@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#324: Enable TCP socket in Pulseaudio daemon before starting up session sound
Date: Mon, 15 Jan 2024 19:44:17 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Mo 21 Okt 2013 13:02:30 CEST, Mike Gabriel wrote:

> Package: python-x2go
> Severity: wishlist
>
> Enable TCP socket in PulseAudio before starting a session (that  
> requests pulse support). See below.
>
> Mike


Migrated to X2Go GitLab's issue tracker as

https://gitlab.x2go.org/x2go/client/libs/python-x2go/-/issues/3

Thus, closing it here...
Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 324-submit@bugs.x2go.org. (Mon, 15 Jan 2024 19:45:01 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 15 Jan 2024 19:45:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 13 Feb 2024 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jun 20 19:09:39 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.